CrossCorrSame_Norm
Image Proximity

Primitives for computing the normalized cross correlation between two images with same mode. More...

## CrossCorrSame_Norm

The functions compute the in General Introduction with same mode (see Categorizations).
NppStatus | nppiCrossCorrSame_Norm_8u_C1RSfs_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp8u *pDst, int nDstStep, int nScaleFactor, NppStreamContext nppStreamCtx)
| One-channel 8-bit unsigned image CrossCorrSame_Norm, scaled by . More...
NppStatus | nppiCrossCorrSame_Norm_8u_C1RSfs (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp8u *pDst, int nDstStep, int nScaleFactor)
NppStatus | nppiCrossCorrSame_Norm_8u_C3RSfs_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp8u *pDst, int nDstStep, int nScaleFactor, NppStreamContext nppStreamCtx)
| Three-channel 8-bit unsigned image CrossCorrSame_Norm, scaled by . More...
NppStatus | nppiCrossCorrSame_Norm_8u_C3RSfs (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp8u *pDst, int nDstStep, int nScaleFactor)
NppStatus | nppiCrossCorrSame_Norm_8u_C4RSfs_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp8u *pDst, int nDstStep, int nScaleFactor, NppStreamContext nppStreamCtx)
| Four-channel 8-bit unsigned image CrossCorrSame_Norm, scaled by . More...
NppStatus | nppiCrossCorrSame_Norm_8u_C4RSfs (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp8u *pDst, int nDstStep, int nScaleFactor)
NppStatus | nppiCrossCorrSame_Norm_8u_AC4RSfs_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp8u *pDst, int nDstStep, int nScaleFactor, NppStreamContext nppStreamCtx)
| Four-channel 8-bit unsigned image CrossCorrSame_Norm ignoring alpha channel, scaled by . More...
NppStatus | nppiCrossCorrSame_Norm_8u_AC4RSfs (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp8u *pDst, int nDstStep, int nScaleFactor)
NppStatus | nppiCrossCorrSame_Norm_32f_C1R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp32f *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, NppStreamContext nppStreamCtx)
| One-channel 32-bit floating point image CrossCorrSame_Norm. More...
NppStatus | nppiCrossCorrSame_Norm_32f_C1R (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp32f *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep)
NppStatus | nppiCrossCorrSame_Norm_32f_C3R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp32f *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, NppStreamContext nppStreamCtx)
| Three-channel 32-bit floating point image CrossCorrSame_Norm. More...
NppStatus | nppiCrossCorrSame_Norm_32f_C3R (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp32f *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep)
NppStatus | nppiCrossCorrSame_Norm_32f_C4R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp32f *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, NppStreamContext nppStreamCtx)
| Four-channel 32-bit floating point image CrossCorrSame_Norm. More...
NppStatus | nppiCrossCorrSame_Norm_32f_C4R (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp32f *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep)
NppStatus | nppiCrossCorrSame_Norm_32f_AC4R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp32f *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, NppStreamContext nppStreamCtx)
| Four-channel 32-bit floating point image CrossCorrSame_Norm ignoring alpha channel. More...
NppStatus | nppiCrossCorrSame_Norm_32f_AC4R (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp32f *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep)
NppStatus | nppiCrossCorrSame_Norm_8u32f_C1R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, NppStreamContext nppStreamCtx)
| One-channel 8-bit unsigned image CrossCorrSame_Norm. More...
NppStatus | nppiCrossCorrSame_Norm_8u32f_C1R (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep)
NppStatus | nppiCrossCorrSame_Norm_8u32f_C3R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, NppStreamContext nppStreamCtx)
| Three-channel 8-bit unsigned image CrossCorrSame_Norm. More...
NppStatus | nppiCrossCorrSame_Norm_8u32f_C3R (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep)
NppStatus | nppiCrossCorrSame_Norm_8u32f_C4R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, NppStreamContext nppStreamCtx)
| Four-channel 8-bit unsigned image CrossCorrSame_Norm. More...
NppStatus | nppiCrossCorrSame_Norm_8u32f_C4R (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep)
NppStatus | nppiCrossCorrSame_Norm_8u32f_AC4R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, NppStreamContext nppStreamCtx)
| Four-channel 8-bit unsigned image CrossCorrSame_Norm ignoring alpha channel. More...
NppStatus | nppiCrossCorrSame_Norm_8u32f_AC4R (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep)
NppStatus | nppiCrossCorrSame_Norm_8s32f_C1R_Ctx (const Npp8s *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8s *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, NppStreamContext nppStreamCtx)
| One-channel 8-bit signed image CrossCorrSame_Norm. More...
NppStatus | nppiCrossCorrSame_Norm_8s32f_C1R (const Npp8s *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8s *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep)
NppStatus | nppiCrossCorrSame_Norm_8s32f_C3R_Ctx (const Npp8s *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8s *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, NppStreamContext nppStreamCtx)
| Three-channel 8-bit signed image CrossCorrSame_Norm. More...
NppStatus | nppiCrossCorrSame_Norm_8s32f_C3R (const Npp8s *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8s *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep)
NppStatus | nppiCrossCorrSame_Norm_8s32f_C4R_Ctx (const Npp8s *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8s *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, NppStreamContext nppStreamCtx)
| Four-channel 8-bit signed image CrossCorrSame_Norm. More...
NppStatus | nppiCrossCorrSame_Norm_8s32f_C4R (const Npp8s *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8s *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep)
NppStatus | nppiCrossCorrSame_Norm_8s32f_AC4R_Ctx (const Npp8s *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8s *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, NppStreamContext nppStreamCtx)
| Four-channel 8-bit signed image CrossCorrSame_Norm ignoring alpha channel. More...
NppStatus | nppiCrossCorrSame_Norm_8s32f_AC4R (const Npp8s *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8s *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep)
NppStatus | nppiCrossCorrSame_Norm_16u32f_C1R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp16u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, NppStreamContext nppStreamCtx)
| One-channel 16-bit unsigned image CrossCorrSame_Norm. More...
NppStatus | nppiCrossCorrSame_Norm_16u32f_C1R (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp16u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep)
NppStatus | nppiCrossCorrSame_Norm_16u32f_C3R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp16u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, NppStreamContext nppStreamCtx)
| Three-channel 16-bit unsigned image CrossCorrSame_Norm. More...
NppStatus | nppiCrossCorrSame_Norm_16u32f_C3R (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp16u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep)
NppStatus | nppiCrossCorrSame_Norm_16u32f_C4R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp16u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, NppStreamContext nppStreamCtx)
| Four-channel 16-bit unsigned image CrossCorrSame_Norm. More...
NppStatus | nppiCrossCorrSame_Norm_16u32f_C4R (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp16u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep)
NppStatus | nppiCrossCorrSame_Norm_16u32f_AC4R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp16u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, NppStreamContext nppStreamCtx)
| Four-channel 16-bit unsigned image CrossCorrSame_Norm ignoring alpha channel. More...
NppStatus | nppiCrossCorrSame_Norm_16u32f_AC4R (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp16u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep)

## Detailed Description

Primitives for computing the normalized cross correlation between two images with same mode.

## Function Documentation

NppStatus nppiCrossCorrSame_Norm_16u32f_AC4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp16u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep
| ) |  |

NppStatus nppiCrossCorrSame_Norm_16u32f_AC4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp16u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit unsigned image CrossCorrSame_Norm ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrSame_Norm_16u32f_C1R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp16u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep
| ) |  |

NppStatus nppiCrossCorrSame_Norm_16u32f_C1R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp16u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 16-bit unsigned image CrossCorrSame_Norm.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrSame_Norm_16u32f_C3R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp16u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep
| ) |  |

NppStatus nppiCrossCorrSame_Norm_16u32f_C3R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp16u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 16-bit unsigned image CrossCorrSame_Norm.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrSame_Norm_16u32f_C4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp16u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep
| ) |  |

NppStatus nppiCrossCorrSame_Norm_16u32f_C4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp16u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit unsigned image CrossCorrSame_Norm.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrSame_Norm_32f_AC4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp32f * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep
| ) |  |

NppStatus nppiCrossCorrSame_Norm_32f_AC4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp32f * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 32-bit floating point image CrossCorrSame_Norm ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrSame_Norm_32f_C1R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp32f * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep
| ) |  |

NppStatus nppiCrossCorrSame_Norm_32f_C1R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp32f * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 32-bit floating point image CrossCorrSame_Norm.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrSame_Norm_32f_C3R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp32f * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep
| ) |  |

NppStatus nppiCrossCorrSame_Norm_32f_C3R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp32f * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 32-bit floating point image CrossCorrSame_Norm.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrSame_Norm_32f_C4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp32f * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep
| ) |  |

NppStatus nppiCrossCorrSame_Norm_32f_C4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp32f * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 32-bit floating point image CrossCorrSame_Norm.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrSame_Norm_8s32f_AC4R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8s * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep
| ) |  |

NppStatus nppiCrossCorrSame_Norm_8s32f_AC4R_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8s * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 8-bit signed image CrossCorrSame_Norm ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrSame_Norm_8s32f_C1R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8s * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep
| ) |  |

NppStatus nppiCrossCorrSame_Norm_8s32f_C1R_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8s * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 8-bit signed image CrossCorrSame_Norm.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrSame_Norm_8s32f_C3R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8s * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep
| ) |  |

NppStatus nppiCrossCorrSame_Norm_8s32f_C3R_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8s * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 8-bit signed image CrossCorrSame_Norm.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrSame_Norm_8s32f_C4R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8s * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep
| ) |  |

NppStatus nppiCrossCorrSame_Norm_8s32f_C4R_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8s * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 8-bit signed image CrossCorrSame_Norm.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrSame_Norm_8u32f_AC4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep
| ) |  |

NppStatus nppiCrossCorrSame_Norm_8u32f_AC4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 8-bit unsigned image CrossCorrSame_Norm ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrSame_Norm_8u32f_C1R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep
| ) |  |

NppStatus nppiCrossCorrSame_Norm_8u32f_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 8-bit unsigned image CrossCorrSame_Norm.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrSame_Norm_8u32f_C3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep
| ) |  |

NppStatus nppiCrossCorrSame_Norm_8u32f_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 8-bit unsigned image CrossCorrSame_Norm.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrSame_Norm_8u32f_C4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep
| ) |  |

NppStatus nppiCrossCorrSame_Norm_8u32f_C4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 8-bit unsigned image CrossCorrSame_Norm.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrSame_Norm_8u_AC4RSfs | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiCrossCorrSame_Norm_8u_AC4RSfs_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 8-bit unsigned image CrossCorrSame_Norm ignoring alpha channel, scaled by .

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrSame_Norm_8u_C1RSfs | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiCrossCorrSame_Norm_8u_C1RSfs_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 8-bit unsigned image CrossCorrSame_Norm, scaled by .

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrSame_Norm_8u_C3RSfs | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiCrossCorrSame_Norm_8u_C3RSfs_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 8-bit unsigned image CrossCorrSame_Norm, scaled by .

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrSame_Norm_8u_C4RSfs | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiCrossCorrSame_Norm_8u_C4RSfs_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 8-bit unsigned image CrossCorrSame_Norm, scaled by .

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

Copyright © 2009-2018 NVIDIA Corporation